Page MenuHomePhabricator

Add the option allowusertalk to blockuser()
Closed, ResolvedPublic

Description

in core

def blockuser(self, user, expiry, reason, anononly=True, nocreate=True,
autoblock=True, noemail=False, reblock=False):

in compat

    def block(self, expiry=None, reason=None, anon=True, noCreate=False,
              onAutoblock=False, banMail=False, watchUser=False,
allowUsertalk=True, reBlock=False, hidename=False):

The option allowusertalk seems to be available in the api: https://test.wikipedia.org/w/api.php?action=help&modules=block
Should be implemented in Pywikibot too. Do have to take care of https://www.mediawiki.org/wiki/Manual:$wgBlockAllowsUTEdit (might explain why this isn't implemented in Pywikibot)
now how can i do the block and allowUsertalk=True?

Event Timeline

Jar created this task.May 20 2017, 3:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2017, 3:00 AM
Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptMay 20 2017, 3:31 AM
Aklapper changed the task status from Open to Stalled.May 20 2017, 11:03 AM

Hi @Jar. Is this a task about something to change in the code base (a software bug / feature request), or a support request (a question how to do something)?
For the latter, please see https://www.mediawiki.org/wiki/Manual:Pywikibot/Communication - thanks!

Jar added a comment.May 20 2017, 1:06 PM

@Aklapper i think the core code is missing the allowUsertalk, you can see the code
anyway i will see the url

thanks.

Multichill renamed this task from blockuser add allowusertalk to Add the option allowusertalk to blockuser().May 20 2017, 2:38 PM
Multichill updated the task description. (Show Details)
matej_suchanek changed the task status from Stalled to Open.May 23 2017, 7:24 AM
matej_suchanek triaged this task as Normal priority.
matej_suchanek moved this task from Backlog to Probably core only on the Pywikibot-General board.
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJul 30 2019, 2:59 PM
Dalba closed this task as Resolved.Jul 30 2019, 3:00 PM
Dalba assigned this task to Huji.
Dalba added a subscriber: Dalba.

Change 526278 merged by jenkins-bot:
[pywikibot/core@master] Add allowusertalk to the userblock options in pywikibot
https://gerrit.wikimedia.org/r/526278